//+------------------------------------------------------------------+
//|                                                  iAOfunc.mq4     |
//|                                         Author:  paladin80       |
//|                                         E-mail:  forevex@mail.ru |
//+------------------------------------------------------------------+
#property copyright "paladin80"
#property link      "forevex@mail.ru"
#property library
//--------------------------------------------- iAOfunc() -  ------------------------------------------------------------
//+----------------------------------------------------------------------------+
//|  :                                                         |
//|   Sy - .                                                             |
//|   Tf -  .                                                     |
//|   MA_mode -  .                                            |
//|   Applied_price -  .                                        |
//|   Period_1 , Period_2 -                         |
//|           (.  ).                                              |
//|   Shift -      .             |
//+----------------------------------------------------------------------------+----+
//|     AO (http://codebase.mql4.com/ru/242)            |
//|    iAfunc()      :   |
//|   AO = MA_mode (Applied_price, Period_1) - MA_mode (Applied_price, Period_2)    |
//+---------------------------------------------------------------------------------+
double iAOfunc(string Sy,int Tf,int MA_mode,int Applied_price,int Period_1,int Period_2,int Shift)
{
   double AO;
   if (Sy=="" || Sy=="0") Sy=Symbol();   
   AO=iMA(Sy,Tf,Period_1,0,MA_mode,Applied_price,Shift)-iMA(Sy,Tf,Period_2,0,MA_mode,Applied_price,Shift);
   return(AO);
}
//--------------------------------------------- iAOfunc() -  ----------------------------------------------------------

















